## com.lowagie.text.pdf
Class PdfDocument.Indentation

    java.lang.Object
      com.lowagie.text.pdf.PdfDocument.Indentation

Enclosing class:
  PdfDocument

    public static class PdfDocument.Indentation

extends java.lang.Object

Since:
  2.0.8 (PdfDocument was package-private before)

Field Summary
`(package private) float` `imageIndentLeft` This is the indentation caused by an image on the left.
`(package private) float` `imageIndentRight` This is the indentation caused by an image on the right.
`(package private) float` `indentBottom` This represents the current indentation of the PDF Elements on the bottom side.
`(package private) float` `indentLeft` This represents the current indentation of the PDF Elements on the left side.
`(package private) float` `indentRight` This represents the current indentation of the PDF Elements on the right side.
`(package private) float` `indentTop` This represents the current indentation of the PDF Elements on the top side.
`(package private) float` `listIndentLeft` This represents the current indentation of the PDF Elements on the left side.
`(package private) float` `sectionIndentLeft` Indentation to the left caused by a section.
`(package private) float` `sectionIndentRight` Indentation to the right caused by a section.

Constructor Summary
`PdfDocument.Indentation()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### indentLeft

    float indentLeft

  This represents the current indentation of the PDF Elements on the left side.

### sectionIndentLeft

    float sectionIndentLeft

  Indentation to the left caused by a section.

### listIndentLeft

    float listIndentLeft

  This represents the current indentation of the PDF Elements on the left side.

### imageIndentLeft

    float imageIndentLeft

  This is the indentation caused by an image on the left.

### indentRight

    float indentRight

  This represents the current indentation of the PDF Elements on the right side.

### sectionIndentRight

    float sectionIndentRight

  Indentation to the right caused by a section.

### imageIndentRight

    float imageIndentRight

  This is the indentation caused by an image on the right.

### indentTop

    float indentTop

  This represents the current indentation of the PDF Elements on the top side.

### indentBottom

    float indentBottom

  This represents the current indentation of the PDF Elements on the bottom side.

Constructor Detail

### PdfDocument.Indentation

    public PdfDocument.Indentation()

Hosted by Hostbasket